


#include "xgameworldmp.h"

XGameWorldMp::XGameWorldMp()
    : XAsset() {
}

void XGameWorldMp::ParseData(QDataStream *aStream) {
    // Parse the name string
    if (GetPtr() == -1) {
        mName = XString::ParseCustom(aStream);
    }
}

QString XGameWorldMp::GetName() const {
    return mName;
}

void XGameWorldMp::SetName(const QString& name) {
    mName = name;
}


